{
===============================================================================
  Copyright (©) 2001. Rodax Software.
===============================================================================
  Los contenidos de este fichero son propiedad de Rodax Software titular del
  copyright. Este fichero sólo podrá ser copiado, distribuido y utilizado,
  en su totalidad o en parte, con el permiso escrito de Rodax Software, o de
  acuerdo con los términos y condiciones establecidas en el acuerdo/contrato
  bajo el que se suministra.
  -----------------------------------------------------------------------------
  Web:  www.rodax-software.com
===============================================================================
  Fecha primera versión: 01-10-2001
  Versión actual: 1.0.2
  Fecha versión actual: 06-03-2004
===============================================================================
  Modificaciones:

    Fecha         Comentarios
    ---------------------------------------------------------------------------
    21-10-2002    Activar P240. Se ha añadido los Tipos de cliente

    06-03-2004    Se ha eliminado el tratamiento de perfiles de usuario.
===============================================================================
}

unit BarraDatos;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  RDXFRAME, RdxBotones, ExtCtrls, RdxPaneles, RdxBarras, pngimage,
  StdCtrls;

type
  TfrBarraDatos = class(TRdxFrame)
    Panel2: TPanel;
    pnlBarraLateral: TPanel;
    imgFondo: TImage;
    bArticulos: TRdxBotonLateral;
    bFamilias: TRdxBotonLateral;
    bFormasPago: TRdxBotonLateral;
    bBancos: TRdxBotonLateral;
    bUnidadesMedida: TRdxBotonLateral;
    bTiposCliente: TRdxBotonLateral;
    shSeparador: TShape;
    pnlTitulo: TPanel;
    eTitulo: TLabel;
    imgSombra: TImage;
    bFabricantes: TRdxBotonLateral;
    procedure bArticulosClick(Sender: TObject);
    procedure bFormasPagoClick(Sender: TObject);
    procedure bFamiliasClick(Sender: TObject);
    procedure bBancosClick(Sender: TObject);
    procedure bUnidadesMedidaClick(Sender: TObject);
    procedure bTiposClienteClick(Sender: TObject);
    procedure bFabricantesClick(Sender: TObject);
  public
    constructor Create (AOwner: TComponent); override;
  end;

var
  frBarraDatos: TfrBarraDatos;

implementation

{$R *.DFM}
uses
  Articulos, Instaladores, FormasPago, Familias, UnidadesMedida, Bancos,
  TiposCliente, Tipos, BaseDatos, Configuracion, Fabricantes, ArticulosFabPro;

constructor TfrBarraDatos.Create (AOwner: TComponent);
begin
  inherited Create(AOwner);
  ConfigurarBarraLateral(Self, Self.Entidad);
  Contenido := TfrArticulosFabPro.Create(Self);
end;

procedure TfrBarraDatos.bArticulosClick(Sender: TObject);
begin
//  Contenido := TfrArticulos.Create(Self);
  Contenido := TfrArticulosFabPro.Create(Self);
end;

procedure TfrBarraDatos.bFormasPagoClick(Sender: TObject);
begin
  CaptionModal := 'Lista de formas de pago';
  HeightModal := 358;
  WidthModal := 530;
  ModoModal := Anadir;
  ContenidoModal := TfrFormasPago.Create(Self);
  bArticulos.Down := True;
end;

procedure TfrBarraDatos.bFamiliasClick(Sender: TObject);
begin
  CaptionModal := 'Lista de familias';
  HeightModal := 358;
  WidthModal := 530;
  ModoModal := Anadir;
  ContenidoModal := TfrFamilias.Create(Self);
  bArticulos.Down := True;
end;

procedure TfrBarraDatos.bBancosClick(Sender: TObject);
begin
  CaptionModal := 'Lista de bancos';
  HeightModal := 358;
  WidthModal := 530;
  ModoModal := Anadir;
  ContenidoModal := TfrBancos.Create(Self);
  bArticulos.Down := True;
end;

procedure TfrBarraDatos.bUnidadesMedidaClick(Sender: TObject);
begin
  CaptionModal := 'Lista de unidades de medida';
  HeightModal := 358;
  WidthModal := 530;
  ModoModal := Anadir;
  ContenidoModal := TfrUnidadesMedida.Create(Self);
  bArticulos.Down := True;
end;

procedure TfrBarraDatos.bTiposClienteClick(Sender: TObject);
begin
  CaptionModal := 'Lista de tipos de cliente';
  HeightModal := 358;
  WidthModal := 530;
  ModoModal := Anadir;
  ContenidoModal := TfrTiposCliente.Create(Self);
  bTiposCliente.Down := True;
end;

procedure TfrBarraDatos.bFabricantesClick(Sender: TObject);
begin
  CaptionModal := 'Lista de fabricantes';
  HeightModal := 358;
  WidthModal := 530;
  ModoModal := Anadir;
  ContenidoModal := TfrFabricantes.Create(Self);
//  bArticulos.Down := True;
end;

end.
